function $AdfListViewDataFetchEvent$$($source$$141$$, $id$$224$$, $subtype$$2$$, $clientKey$$2$$, $index$$102$$) {
  this.Init($source$$141$$, $id$$224$$, $subtype$$2$$, $clientKey$$2$$, $index$$102$$);
}
$goog$exportSymbol$$("AdfListViewDataFetchEvent", $AdfListViewDataFetchEvent$$);
$AdfObject$$.$createSubclass$($AdfListViewDataFetchEvent$$, $AdfComponentEvent$$);
$AdfListViewDataFetchEvent$$.$FETCH_EVENT_TYPE$ = "fetch";
$goog$exportSymbol$$("AdfListViewDataFetchEvent.FETCH_EVENT_TYPE", $AdfListViewDataFetchEvent$$.$FETCH_EVENT_TYPE$);
$AdfListViewDataFetchEvent$$.prototype.Init = function $$AdfListViewDataFetchEvent$$$$Init$($source$$142$$, $id$$225$$, $subtype$$3$$, $clientKey$$3$$, $index$$103$$) {
  $AdfListViewDataFetchEvent$$.$superclass$.Init.call(this, $source$$142$$, $AdfListViewDataFetchEvent$$.$FETCH_EVENT_TYPE$);
  this.$_id$ = $id$$225$$;
  this.$_clientKey$ = $clientKey$$3$$;
  this.$_subtype$ = $subtype$$3$$;
  this.$_index$ = $index$$103$$;
  this.$setRoot$($source$$142$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfListViewDataFetchEvent.prototype.Init", {Init:$AdfListViewDataFetchEvent$$.prototype.Init});
$AdfListViewDataFetchEvent$$.prototype.$AddMarshalledProperties$ = function $$AdfListViewDataFetchEvent$$$$$AddMarshalledProperties$$($properties$$38$$) {
  $AdfListViewDataFetchEvent$$.$superclass$.$AddMarshalledProperties$.call(this, $properties$$38$$);
  $properties$$38$$.id = this.$_id$;
  $properties$$38$$.subtype = this.$_subtype$;
  this.$_clientKey$ && ($properties$$38$$.clientKey = this.$_clientKey$);
  void 0 != this.$_index$ && ($properties$$38$$.index = this.$_index$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfListViewDataFetchEvent.prototype.AddMarshalledProperties", {$AddMarshalledProperties$:$AdfListViewDataFetchEvent$$.prototype.$AddMarshalledProperties$});
$AdfListViewDataFetchEvent$$.prototype.$getClearMessages$ = function $$AdfListViewDataFetchEvent$$$$$getClearMessages$$() {
  return !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfListViewDataFetchEvent.prototype.getClearMessages", {$getClearMessages$:$AdfListViewDataFetchEvent$$.prototype.$getClearMessages$});
$AdfListViewDataFetchEvent$$.prototype.$propagatesToServer$ = function $$AdfListViewDataFetchEvent$$$$$propagatesToServer$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfListViewDataFetchEvent.prototype.propagatesToServer", {$propagatesToServer$:$AdfListViewDataFetchEvent$$.prototype.$propagatesToServer$});
$AdfListViewDataFetchEvent$$.prototype.$isValidationNeeded$ = function $$AdfListViewDataFetchEvent$$$$$isValidationNeeded$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfListViewDataFetchEvent.prototype.isValidationNeeded", {$isValidationNeeded$:$AdfListViewDataFetchEvent$$.prototype.$isValidationNeeded$});
$AdfListViewDataFetchEvent$$.$MORE_SUBTYPE$ = 0;
$goog$exportSymbol$$("AdfListViewDataFetchEvent.MORE_SUBTYPE", $AdfListViewDataFetchEvent$$.$MORE_SUBTYPE$);
